This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 565902

Summary: Review Request: csync - a bidirectional file synchronizer for roaming home directories
Product: [Fedora] Fedora Reporter: Andreas Schneider <asn>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bloch, fedora, fedora-package-review, kevin, larryoleary, notting, orion, rdieter, susi.lehtola, sven, terjeros
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-09 19:03:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449, 565945    

Description Andreas Schneider 2010-02-16 11:52:40 EST
Spec URL: http://www.cynapses.org/tmp/rpm/csync.spec
SRPM URL: http://www.cynapses.org/tmp/rpm/csync-0.44.0-1.src.rpm

Description: csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

This is my first package and I'm looking for a sponsor.

I'm the developer of csync.
Comment 1 Sven Lankes 2010-02-16 12:11:45 EST
a couple of remarks (I'm not a sponsor, so I cannot sponsor you)

 * please run rpmlint against the spec-file and the resulting rpms/srpms (license needs to be GPLv2+, changelog wrong, groups non-standard)
 * License should be GPLv2+
 * The specfile has tar.bz2 as source name - but the website only offers a tar.gz
 * Please get rid of the author-name in all descriptions
Comment 2 Andreas Schneider 2010-02-16 12:51:32 EST
Thanks, for the comments. I've updated the spec files and fixed the bugs. I'm still looking for something like:

build <dist> <arch> <specfile>

which sets up a chroot with all needed bulid requirements, builds the package and runs rpmlint for me.

Spec URL: http://www.cynapses.org/tmp/rpm/csync.spec
SRPM URL: http://www.cynapses.org/tmp/rpm/csync-0.44.0-1.fc12.src.rpm
Comment 3 Kevin Kofler 2010-02-16 14:50:09 EST
There are still a few suseisms there. ;-)

* "# norootforbuild" is redundant and not used by anything around here, our build system (Koji) never builds as root. I'd suggest removing that magic comment (though it is not required as we don't have guidelines for comments ;-) ).
* While you fixed the main package's License tag, the License tags for the subpackages are still bad (not compliant to Fedora guidelines). This is a MUST fix.
* The cmake invocation should use the %cmake macro. This one also definitely needs to be fixed.
* While %__make, %__rm, %{__mkdir} and the like are acceptable, we generally just write make, rm, mkdir etc., those macros which expand to full paths are not really necessary. (But this is not a must.)
* We don't systematically split out lib* subpackages, but in this case I guess it makes sense. The most common naming convention for those subpackages in Fedora is of the csync-libs form, but libcsync is OK as a name in this case. (So IMHO that item is fine here, this was just informative.)

(Note: this is not a full review, just the stuff I noticed at first glance.)
Comment 4 Kevin Kofler 2010-02-16 14:55:24 EST
PS: using our macros like %cmake is a SHOULD item in the guidelines, but you need to have a good reason not to use them if you don't, so in the absence of such a reason, please use the macro. :-) (And yes, this and the (usual) non-use of the %__ type macros is what I meant with differences in macro usage on IRC.)

As for your question:
rpmbuild -bs --nodeps <specfile>
mock -r <dist>-<arch> <SRPM>
where <dist> is e.g. fedora-13, <arch> is the basearch (i386, x86_64) and <SRPM> is what rpmbuild just produced.
Comment 5 Andreas Schneider 2010-02-16 16:02:01 EST
Thanks for the comments, fixed and uploaded.
Comment 6 Terje Røsten 2010-02-17 03:48:45 EST
Links to updated spec and srpm, please. koji scratch build would be nice too:

 http://fedoraproject.org/wiki/PackageMaintainers/UsingKoji#Scratch_builds_2

Some comments

 - the empty # lines looks strange
 - you don't need to repeat License: tag in subpackage if everything is
   under identical license
 - you might want to change 
    Requires:       libcsync = %{version}
    Requires:       libcsync = %{version}-%{release}
 - I believe defattr should changed 
    %defattr(-,root,root) ->  %defattr(-,root,root,-)
 - change all %__foo macros to %{__foo}
 - remove gcc-c++ from buildreq
 - tags are in strange order
 - is source1 of any use?
 - bump release and add changelog when doing changes
Comment 7 Andreas Schneider 2010-02-17 08:24:51 EST
(In reply to comment #6)
> Links to updated spec and srpm, please. koji scratch build would be nice too:

Spec URL: http://www.cynapses.org/tmp/rpm/csync.spec
SRPM URL: http://www.cynapses.org/tmp/rpm/csync-0.44.0-2.fc12.src.rpm
Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=1993331
 
> Some comments
> 
>  - the empty # lines looks strange

I've removed them.

>  - you don't need to repeat License: tag in subpackage if everything is
>    under identical license

I've removed them too.

>  - you might want to change 
>     Requires:       libcsync = %{version}
>     Requires:       libcsync = %{version}-%{release}

Done.

>  - I believe defattr should changed 
>     %defattr(-,root,root) ->  %defattr(-,root,root,-)

Done.

>  - change all %__foo macros to %{__foo}

I don't see a reason for this, only if the macro would support options.

>  - remove gcc-c++ from buildreq

Done.

>  - tags are in strange order

Is there a rule for the order?

>  - is source1 of any use?

Sure, you can verify that the source archive hasn't been modified.

gpg --verify csync-0.44.0.tar.gz.asc

It is like a md5sum but cryptographic secured.

They are included in other SRPMS of Fedora too. See libssh for example.

>  - bump release and add changelog when doing changes    

Done.
Comment 8 Susi Lehtola 2010-02-17 17:40:40 EST
There was already a review request (bug #503136) open on this one, which was almost completed.

If the submitter does not reply to the ping within a week or so, this review bug can go on. Otherwise this bug should be closed as duplicate.
Comment 9 Terje Røsten 2010-02-17 17:47:08 EST
>>  - change all %__foo macros to %{__foo}
>I don't see a reason for this, only if the macro would support options.

Never seen %__foo style used before, that's all.

>>  - tags are in strange order
>Is there a rule for the order?

Just the "most important stuff first" rule I would say.

>>  - is source1 of any use?

>Sure, you can verify that the source archive hasn't been modified.
>gpg --verify csync-0.44.0.tar.gz.asc
>It is like a md5sum but cryptographic secured.
>They are included in other SRPMS of Fedora too. See libssh for example.

Ok, .asc is not large anyway.

Package is in pretty good shape now, thanks so far Andreas.
Comment 10 Andreas Schneider 2010-02-26 10:21:19 EST
ping
Comment 11 Kevin Kofler 2010-03-06 14:14:55 EST
*** Bug 503136 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Kofler 2010-03-06 14:19:10 EST
I'll take this, as a sponsor is needed and none of the previous commenters (other than myself) are sponsors.
Comment 13 Terje Røsten 2010-03-07 06:33:33 EST
Ok, thanks Kevin.
Comment 14 Andreas Schneider 2010-03-08 05:19:22 EST
* Mon Mar 08 2010 - Andreas Schneider <asn@redhat.com> - 0.44.0-3
- Fixed pedantic format request (ordering of tags, macros).

Spec URL: http://www.cynapses.org/tmp/rpm/csync.spec
SRPM URL: http://www.cynapses.org/tmp/rpm/csync-0.44.0-3.fc12.src.rpm
Comment 15 Rex Dieter 2010-04-09 10:24:59 EDT
setting fedora-review flag
Comment 16 Andreas Schneider 2010-04-12 11:58:48 EDT
What does that mean?
Comment 17 Rex Dieter 2010-04-12 12:07:39 EDT
The fedora-review flag is supposed to get set when a package is currently under review (but it was missed here initially).
Comment 18 Larry O'Leary 2011-06-06 23:39:06 EDT
Any idea what happened to the review of this package. I was looking forward to this package making it into Fedora repos.
Comment 19 Kevin Kofler 2011-06-07 02:39:52 EDT
What happened is that I completely forgot about this and the submitter didn't notice either, or didn't dare complaining…

I'm going to clear the review flag, since I haven't really started and I guess it would be better if some other sponsor would take it. I clearly dropped the ball here, sorry for that. :-(

Andreas, are you still here?
Comment 20 Andreas Schneider 2011-06-07 07:40:22 EDT
I'm still here. As nobody cared I lost the interest...
Comment 21 Orion Poplawski 2011-11-09 18:55:25 EST
(In reply to comment #14)
> Spec URL: http://www.cynapses.org/tmp/rpm/csync.spec
> SRPM URL: http://www.cynapses.org/tmp/rpm/csync-0.44.0-3.fc12.src.rpm

URLs appear to be dead.
Comment 22 Kevin Kofler 2011-11-09 19:03:56 EST
That's because the submitter lost interest after I dropped the ball. :-(

(It'd have been nice if somebody, probably the submitter himself, would have pinged me. I get tons of bugmails, so I do forget things sometimes.)
Comment 23 Kevin Kofler 2011-11-09 19:07:11 EST
Andreas, if you do want to continue the review, please post working spec and SRPM links and reopen the bug.

If anyone else wants to get csync into Fedora, please submit a new review request.
Comment 24 Kevin Kofler 2012-08-14 18:18:27 EDT

*** This bug has been marked as a duplicate of bug 848208 ***